# Method: accounts.locations.getGoogleUpdated

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getGoogleUpdated#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getGoogleUpdated#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getGoogleUpdated#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getGoogleUpdated#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getGoogleUpdated#body.GoogleUpdatedLocation.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/getGoogleUpdated#body.aspect)

Gets the Google-updated version of the specified location. Returns `NOT_FOUND` if the location does not exist.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/{name=accounts/*/locations/*}:googleUpdated`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the location to fetch. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Represents a location that was modified by Google.

| JSON representation ||
|---|---|
| ``` { "location": { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location`) }, "diffMask": string } ``` |

| Fields ||
|---|---|
| `location` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location`)`` The Google-updated version of this location. |
| `diffMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` The fields that Google updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).